Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225089 - aide Segmentation fault on initialization
Summary: aide Segmentation fault on initialization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: aide
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Conklin
QA Contact: Jay Turner
URL:
Whiteboard:
: 225090 (view as bug list)
Depends On:
Blocks: RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-01-28 21:25 UTC by Steven Scoleri
Modified: 2015-01-08 00:15 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0539
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-04 14:03:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0539 normal SHIPPED_LIVE Moderate: aide security update 2007-09-04 14:02:57 UTC

Description Steven Scoleri 2007-01-28 21:25:23 UTC
Description of problem:

aide -i segmentation fault.

Version-Release number of selected component (if applicable):


How reproducible:
everytime.

Steps to Reproduce:
1. aide -i
2.
3.
  
Actual results:

lgetfilecon_raw failed for /etc/ld.so.cache:No data available
Segmentation fault

Expected results:


Additional info:

Comment 1 James Antill 2007-01-28 21:44:30 UTC
*** Bug 225090 has been marked as a duplicate of this bug. ***

Comment 2 James Antill 2007-01-28 21:46:35 UTC
 I assume you have SELinux disabled?
 As a work around you can remove the selinux options from your /etc/aide.conf,
doing this automatically is probably the fix too.

Comment 5 James Antill 2007-03-23 21:08:45 UTC
 == Info. mainly for QA ==

 The way I reproduced this was to change:

   if (lgetfilecon_raw(line->filename, &cntx) == -1)

...into...

   if ((rand() & 1) || (lgetfilecon_raw(line->filename, &cntx) == -1))

...the other way is to disable selinux completely, and create a file without a
context. The fix is to not call strlen() when the pointer is NULL, on the line:

      db_write_byte_base64((byte*)line->cntx, strlen(line->cntx),
                           conf->db_out, i, 1, 1);

...I also premptivly fixed ACLs (I haven't tested them either way).


Comment 12 Red Hat Bugzilla 2007-09-04 14:03:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0539.html



Note You need to log in before you can comment on or make changes to this bug.